Skip to main content

Welcome to the Arnio API πŸš€
Use this API to send messages, manage contacts, and automate workflows.
All endpoints require an API key for authentication.

Contacts

Get contacts

GET /api/v1/contacts

Create contact

POST /api/v1/contacts

Get contact

GET /api/v1/contacts/{id}

Delete contact

DELETE /api/v1/contacts/{id}

Get contact messages

GET /api/v1/contacts/{id}/messages

Get contact attachment

GET /api/v1/contacts/{id}/attachments/{guid}

Messages

Send message

POST /api/v1/messages/send

Get messages

GET /api/v1/messages

Get attachment

GET /api/v1/messages/attachments/{guid}

iMessage availability

GET /api/v1/imessage/availability

Delete a chat

DELETE /api/v1/chats/{chatGuid}

Webhooks

Create webhook

POST /api/v1/webhooks

Update webhook

PUT /api/v1/webhooks/{webhookId}

Get webhooks

GET /api/v1/webhooks

Delete webhook

DELETE /api/v1/webhooks/{webhookId}

Webhook Events

Webhook sends various events related to messaging actions. The following events are supported:

Event Types:

  • message.created: Triggered when a new message is received or sent.
    • Example: A new incoming or outgoing message has been created.
  • message.updated: Triggered when an existing message’s status is updated.
    • Example: A read receipt or delivery status for a message is updated.
  • typing-indicator: Triggered when a typing indicator is received.
    • Example: The user starts typing in the conversation.
These webhook events help you track interactions such as message sending, status updates, typing indicators, and more in real-time.